Subject: b18 release -- good and not-so-good
From: [email-masked] (Mumit Khan)

9 May 1997 02:53:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Kudos to Cygnus Support, oops -- Solutions, for bringing out b18! Compiled
out of the box under i386-linux both cross and win32 native. Haven't tried
building under '95 yet, but hopefully that'll work as well.

Thanks for the UNC support. Haven't tried it yet, but it surely will solve 
some of the awkwardness in using gnu-win32 tools.

Tcl/Tk now builds!! Now if I can get BLT/TclX/Tix/Itcl, I'm all set.

Thanks for the improved signal support. I like being able to hit ^C :-)

Some of the problems I had reported, along with fixes, are still there 
(some were fixed from the original list). Here're are the remaining one:
    
  newlib/libc/stdlib/bsearch.c:
      This fixes the past the end access bug in bsearch().

  winsup/cygwin.din:
      Zap the export of tgetent()

  winsup/misc.cc:
      Zap the definition of tgetent(). This conflicts with -ltermcap.
      Doesn't belong here anyway.

  texinfo/libtxi/Makefile.in:
      Replace hard-code AR option "cq" with AR_FLAGS. Only problem when
      building under a machine with non-GNU ar of course (I usually build
      under hppa1.1-hp-hpux9.07 with stock ar).

Nice job overall.

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".